summaryrefslogtreecommitdiffstats
path: root/office/libreoffice-helppack/libreoffice-helppack.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/libreoffice-helppack/libreoffice-helppack.SlackBuild')
-rw-r--r--office/libreoffice-helppack/libreoffice-helppack.SlackBuild102
1 files changed, 102 insertions, 0 deletions
diff --git a/office/libreoffice-helppack/libreoffice-helppack.SlackBuild b/office/libreoffice-helppack/libreoffice-helppack.SlackBuild
new file mode 100644
index 0000000000..1b21b4c4c0
--- /dev/null
+++ b/office/libreoffice-helppack/libreoffice-helppack.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for LibreOffice Help Packs
+
+# Copyright 2013 Niels Horn, Rio de Janeiro, RJ, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2013/03/24
+
+PRGNAM=libreoffice-helppack
+VERSION=${VERSION:-"4.0.1"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LOLANG=${LOLANG:-en-GB}
+PKG_LANG=${LOLANG//-/_}
+
+# I'll leave this line here, as I always have to change it with every release
+SRCVERSION=$VERSION
+SRCSHORT=$(echo $VERSION | cut -f1-2 -d.)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86-64"
+ PKGARCH="$ARCH"
+ LIBDIRSUFFIX=64
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for LibreOffice...\n\n"
+ exit 1
+else
+ SRCARCH="x86"
+ PKGARCH="i586"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Concatenate all parts to get the full name of the tarball
+TARBALL="LibreOffice_${SRCVERSION}_Linux_${SRCARCH}_rpm_helppack_${LOLANG}.tar.gz"
+if [ ! -r $TARBALL ]; then
+ echo "$TARBALL not found"
+ exit 1
+fi
+
+# Get "base" directory of tarball
+SOURCEDIR=$(tar tzf $CWD/$TARBALL 2>/dev/null | head -n 1 | tr -d \/)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SOURCEDIR
+
+tar xvf $CWD/$TARBALL -C $TMP
+
+cd $TMP/$SOURCEDIR/RPMS/
+
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+mv opt $PKG
+cd $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s .
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}